<!DOCTYPE html>
<!--[if IE 8]>
<html <?php language_attributes(); ?> class="ie8"> <![endif]-->
<!--[if !IE]><!-->
<html <?php language_attributes(); ?>> <!--<![endif]-->

<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <title><?php wp_title('|', true, 'right'); ?><?php bloginfo('name'); ?></title>
    <meta name="description" content="<?php bloginfo('description'); ?>">

    <!-- Mobile Specific Meta -->
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link href="https://fonts.googleapis.com/css?family=El+Messiri&display=swap" rel="stylesheet">
    <?php wp_head(); ?>

</head>

<body <?php body_class(); ?>>

<header <?php if (!is_home()) : ?> class="custom-header" <?php endif; ?>>
    <?php $marquee = get_field('marquee', 'options'); ?>
    <?php $marqueePosts = new WP_Query(array(
        'post_type' => 'post',
        'posts_per_page' => 15,
        'tax_query' => array(
            array(
                'taxonomy' => 'category',
                'field' => 'term_id',
                'terms' => $marquee,
            )
        )
    )); ?>
    <?php if ($marqueePosts->have_posts())  : ?>
        <div class="top-news-marque d-none d-lg-block">
            <div class="container">
                <div class="row ">
                    <div class="col-md-2 align-self-center ">
                        <div class="marque-title">
                            أكثر الخدمات طلباً
                        </div>
                    </div>

                    <div class="col-md-10 align-self-center">

                        <marquee direction="right" onmouseover="this.stop();"
                                 onmouseout="this.start();">
                            <?php while ($marqueePosts->have_posts()) : $marqueePosts->the_post(); ?>
                                <?php $thumb = get_the_post_thumbnail_url(get_the_ID(), array(40, 40)); ?>
                                <?php $imgholder = IMAGES . '/no-img40x40.jpg' ?>
                                <div class="single-marquee d-inline-block">
                                    <div class="img d-inline-block"><img data-src="<?php echo  $thumb ? $thumb :$imgholder ?>" alt="<?php the_title(); ?>" class="img-fluid rounded-circle lazy"></div>
                                    <h4 class="d-inline-block">
                                        <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                                    </h4>
                                </div>
                            <?php endwhile;
                            wp_reset_query(); ?>


                        </marquee>
                    </div>
                </div>
            </div>
        </div>
    <?php endif; ?>
    <div class="top-nav">
        <div class="container">
            <div class="row">
                <div class="col-md-6 d-block">
                    <div class="top-menu">
                        <ul class="list-inline">
                            <?php if (get_field('phone', 'options')) : ?>
                                <li class="phone list-inline-item"><i
                                            class="fa fa-phone"></i> <?php the_field('phone', 'options') ?></li>
                            <?php endif; ?>
                            <?php if (get_field('email', 'options')) : ?>
                                <li class="email list-inline-item"><i
                                            class="fa fa-envelope"></i> <?php the_field('email', 'options') ?></li>
                            <?php endif; ?>

                        </ul>
                    </div>
                </div>

                <div class="col-md-6 d-lg-flex justify-content-lg-end ">
                    <ul class="social list-inline ">
                        <?php if (get_field('facebook', 'options')) : ?>
                            <li class="list-inline-item"><a href="<?php the_field('facebook', 'options') ?>"><i
                                            class="fa fa-facebook"></i></a></li>
                        <?php endif; ?>
                        <?php if (get_field('twitter', 'options')) : ?>
                            <li class="list-inline-item"><a href="<?php the_field('twitter', 'options') ?>"><i
                                            class="fa fa-twitter"></i></a></li>
                        <?php endif; ?>
                        <?php if (get_field('youtube', 'options')) : ?>
                            <li class="list-inline-item"><a href="<?php the_field('youtube', 'options') ?>"><i
                                            class="fa fa-youtube"></i></a></li>
                        <?php endif; ?>
                        <?php if (get_field('instagram', 'options')) : ?>
                            <li class="list-inline-item"><a href="<?php the_field('instagram', 'options') ?>"><i
                                            class="fa fa-instagram"></i></a></li>
                        <?php endif; ?>
                    </ul>
                </div>

            </div>
        </div>
    </div>
    <div class="menu-logo">
        <div class="container">
            <div class="menu-wrapper">
                <div class="row">
                    <div class="col-md-3 col-sm-3">
                        <div class="logo">
                            <a href="<?php echo home_url() ?>"><img data-src="<?php the_field('logo', 'options') ?>"
                                                                    alt="<?php bloginfo('name') ?>"
                                                                    class="img-fluid lazy"></a>
                        </div>
                    </div>
                    <div class="col-md-9 col-sm-9 align-self-center">

                        <?php the_field('header-adv', 'options') ?>

                    </div>
                </div>
            </div>
        </div>
    </div>
    <nav class="navbar navbar-expand-lg navbar-light ">
        <div class="container">
            <button class="navbar-toggler" type="button" data-toggle="collapse"
                    data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                    aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <?php
            wp_nav_menu(array(
                'theme_location' => 'main',
                'depth' => 2,
                'container' => 'div',
                'container_class' => 'collapse navbar-collapse',
                'container_id' => 'navbarSupportedContent',
                'menu_class' => 'nav navbar-nav',
                'fallback_cb' => 'WP_Bootstrap_Navwalker::fallback',
                'walker' => new WP_Bootstrap_Navwalker(),
            ));
            ?>
        </div>
    </nav>

</header>

