<?php get_header();
wp_reset_query(); ?>

<div class="slider d-none d-md-flex">
    <div class="container">
        <div class="row">
            <div class="col-lg-8">
                <?php $slider = get_field('slider', 'options'); ?>
                <?php $sliders = new WP_Query(array(
                    'post_type' => 'post',
                    'posts_per_page' => 10,
                    'tax_query' => array(
                        array(
                            'taxonomy' => 'category',
                            'field' => 'term_id',
                            'terms' => $slider,
                        )
                    )
                )); ?>
                <?php if ($sliders->have_posts())  : ?>
                    <div id="carouselExampleIndicators" class="carousel slide carousel-fade" data-ride="carousel">
                        <ol class="carousel-indicators flex-column">
                            <?php $i = 0;
                            while ($sliders->have_posts()) : $sliders->the_post(); ?>

                                <li data-target="#carouselExampleIndicators"
                                    data-slide-to="<?php echo $i++ ?>"><?php echo $i ?></li>

                            <?php endwhile;
                            wp_reset_query(); ?>
                        </ol>
                        <div class="carousel-inner">
                            <?php $i = 0;
                            while ($sliders->have_posts()) : $sliders->the_post(); ?>
                                <?php $thumb = get_the_post_thumbnail_url(get_the_ID(), 'medium_large'); ?>
                                <?php $imgholder = IMAGES . '/no-img.jpg' ?>
                                <div class="carousel-item">
                                    <img class="img-fluid lazy" data-src="<?php echo $thumb ? $thumb : $imgholder ?>"
                                         alt="<?php the_title() ?>">
                                    <div class="carousel-caption">
                                        <h5 data-animation="animated fadeInDown"><a
                                                    href="<?php the_permalink() ?>"><?php the_title() ?></a>
                                        </h5>
                                        <p data-animation="animated fadeInDown"><?php echo wp_trim_words(get_the_excerpt()) ?></p>
                                    </div>
                                </div>
                            <?php endwhile;
                            wp_reset_query(); ?>

                        </div>

                    </div>
                <?php endif; ?>
            </div>
            <div class="col-lg-4 d-lg-block d-md-flex justify-content-md-center">
                <?php $boxNextSlider = get_field('next-to-slider', 'options'); ?>
                <?php $boxNextSliders = new WP_Query(array(
                    'post_type' => 'post',
                    'posts_per_page' => 2,
                    'tax_query' => array(
                        array(
                            'taxonomy' => 'category',
                            'field' => 'term_id',
                            'terms' => $boxNextSlider,
                        )
                    )
                ));
                while ($boxNextSliders->have_posts()) : $boxNextSliders->the_post(); ?>
                    <div class="news-box-with-caption">
                        <div class="card rounded-0">
                            <?php $thumb = get_the_post_thumbnail_url(get_the_ID(), 'medium'); ?>
                            <?php $imgholder = IMAGES . '/no-img.jpg' ?>
                            <img class="img-fluid lazy"  data-src="<?php echo $thumb ? $thumb : $imgholder ?>"
                                 alt="<?php the_title() ?>">
                            <div class="card-img-overlay">
                                <h5 class="card-title"><a href="<?php the_permalink() ?>"><?php the_title() ?></a></h5>
                            </div>
                            <div class="cat">
                                <a href="<?php echo get_category_link(array_rand(array_flip($boxNextSlider))); ?>"><?php echo get_the_category_by_ID(array_rand(array_flip($boxNextSlider))) ?></a>
                            </div>
                        </div>
                    </div>
                <?php endwhile;
                wp_reset_query(); ?>
            </div>
        </div>
    </div>
</div>
<?php if (have_rows('services', 'options')) : ?>
    <div class="services">
        <div class="container">
            <div class="section-title">
                <div class="title d-inline-block"><?php the_field('services-main-title', 'options') ?></div>
                <div class="show-more d-inline-block pull-left"><a href="<?php the_field('see-all', 'options') ?>">شاهد
                        الكل</a></div>
            </div>
            <div class="row">
                <?php while (have_rows('services', 'options')) : the_row() ?>

                    <div class="col-md-3 ">
                        <div class="single-service">
                            <div class="icon"><img data-src="<?php the_sub_field('icon') ?>"
                                                   alt="<?php the_sub_field('title') ?>" class="img-fluid lazy"></div>
                            <h3><a href="<?php the_sub_field('url') ?>"><?php the_sub_field('title') ?></a></h3>
                            <p><?php the_sub_field('descrition') ?></p>
                        </div>
                    </div>
                <?php endwhile; ?>
            </div>
        </div>
    </div>
<?php endif; ?>


<?php $blog = get_field('blog', 'options'); ?>

<div class="blog news">
    <div class="container">
        <div class="section-title">
            <div class="title d-inline-block">المدونة</div>
            <div class="show-more d-inline-block pull-left"><a href="<?php echo home_url() ?>/المدونة/">شاهد الكل</a>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-4">
                <?php $blogs = new WP_Query(array(
                    'post_type' => 'post',
                    'posts_per_page' => 1,
                    'orderby' => 'rand',
                    'tax_query' => array(
                        array(
                            'taxonomy' => 'category',
                            'field' => 'term_id',
                            'terms' => $blog,
                        )
                    )
                ));

                while ($blogs->have_posts()) : $blogs->the_post(); ?>

                    <div class="single-news-post">
                        <div class="news-img">
                            <div class="cat">
                                <a href="<?php echo get_category_link(array_rand(array_flip($blog))); ?>"><?php echo get_the_category_by_ID(array_rand(array_flip($blog))) ?></a>
                            </div>
                            <?php $thumb = get_the_post_thumbnail_url(get_the_ID(), 'medium'); ?>
                            <?php $imgholder = IMAGES . '/no-img.jpg' ?>

                            <a href="<?php the_permalink() ?>"><img class="img-fluid lazy"
                                                                    data-src="<?php echo $thumb ? $thumb : $imgholder ?>"
                                                                    alt="<?php the_title() ?>"></a>
                        </div>
                        <h3><a href="<?php the_permalink() ?>"><?php the_title() ?></a></h3>

                        <div class="post-meta d-flex">
                            <span><i class="fa fa-calendar"></i> <?php the_date() ?></span>
                            <span class="mr-auto"><i class="fa fa-comment"></i>  <?php comments_number() ?></span>
                        </div>
                        <p><?php echo wp_trim_words(get_the_excerpt()) ?></p>
                    </div>
                <?php endwhile;
                wp_reset_query(); ?>
            </div>
            <div class="col-lg-8 ">
                <div class="row">
                    <?php $blogs = new WP_Query(array(
                        'post_type' => 'post',
                        'posts_per_page' => 8,
                        'offset' => 1,
                        'orderby' => 'rand',
                        'tax_query' => array(
                            array(
                                'taxonomy' => 'category',
                                'field' => 'term_id',
                                'terms' => $blog,
                            )
                        )
                    ));

                    while ($blogs->have_posts()) : $blogs->the_post(); ?>
                        <div class="col-md-3">
                            <div class="single-news-post small-news-box">
                                <div class="news-img">
                                    <div class="cat">

                                        <a href="<?php echo get_category_link(array_rand(array_flip($blog))); ?>"><?php echo get_the_category_by_ID(array_rand(array_flip($blog))) ?></a>
                                    </div>
                                    <?php $thumb = get_the_post_thumbnail_url(get_the_ID(), 'thumbnail'); ?>
                                    <?php $imgholder = IMAGES . '/no-img.jpg' ?>
                                    <a href="<?php the_permalink() ?>"><img class="img-fluid lazy"
                                                                            data-src="<?php echo $thumb ? $thumb : $imgholder ?>"
                                                                            alt="<?php the_title() ?>"></a>
                                </div>
                                <h3><a href="<?php the_permalink() ?>"><?php the_title() ?></a></h3>

                            </div>
                        </div>
                    <?php endwhile;
                    wp_reset_query(); ?>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="gallery">
    <div class="container">
        <div class="row">
            <div class="col-md-6 gallery-col">
                <?php $gallerySection = get_field('gallery-section', 'options'); ?>

                <div class="section-title">
                    <div class="title d-inline-block"><?php echo get_the_category_by_ID($gallerySection) ?></div>
                    <div class="show-more d-inline-block pull-left"><a
                                href="<?php echo get_category_link($gallerySection) ?>">شاهد الكل</a></div>
                </div>
                <?php $gallerySections = new WP_Query(array(
                    'post_type' => 'post',
                    'posts_per_page' => 1,
                    'tax_query' => array(
                        array(
                            'taxonomy' => 'category',
                            'field' => 'term_id',
                            'terms' => $gallerySection,
                        )
                    )
                ));

                while ($gallerySections->have_posts()) : $gallerySections->the_post(); ?>
                    <div class="news-box-with-caption">
                        <div class="card">
                            <?php $thumb = get_the_post_thumbnail_url(get_the_ID(), 'medium_large'); ?>
                            <?php $imgholder = IMAGES . '/no-img.jpg' ?>
                            <img class="img-fluid lazy" data-src="<?php echo $thumb ? $thumb : $imgholder ?>"
                                 alt="<?php the_title() ?>">
                            <div class="card-img-overlay">
                                <h5 class="card-title"><a href="<?php the_permalink() ?>"><?php the_title() ?></a></h5>
                            </div>
                        </div>
                    </div>
                <?php endwhile;
                wp_reset_query(); ?>
                <div class="row d-none d-md-flex">
                    <?php $gallerySections = new WP_Query(array(
                        'post_type' => 'post',
                        'posts_per_page' => 3,
                        'offset'=>1,
                        'tax_query' => array(
                            array(
                                'taxonomy' => 'category',
                                'field' => 'term_id',
                                'terms' => $gallerySection,
                            )
                        )
                    ));

                    while ($gallerySections->have_posts()) : $gallerySections->the_post(); ?>
                    <div class="col-md-4">
                        <div class="card img-only-box ">
                            <?php $thumb = get_the_post_thumbnail_url(get_the_ID(), 'thumbnail'); ?>
                            <?php $imgholder = IMAGES . '/no-img.jpg' ?>
                            <a href="<?php the_permalink() ?>"><img class="img-fluid lazy" data-src="<?php echo $thumb ? $thumb : $imgholder ?>"
                                                                    alt="<?php the_title() ?>"></a>
                        </div>
                    </div>
                    <?php endwhile;
                    wp_reset_query(); ?>

                </div>
            </div>
            <div class="col-md-6 video-col">
                <?php $videoSection = get_field('video-section', 'options'); ?>
                <div class="section-title">
                    <div class="title d-inline-block"><?php echo get_the_category_by_ID($videoSection) ?></div>
                    <div class="show-more d-inline-block pull-left"><a
                                href="<?php echo get_category_link($videoSection) ?>">شاهد الكل</a></div>
                </div>
                <?php $videoSections = new WP_Query(array(
                    'post_type' => 'post',
                    'posts_per_page' => 1,
                    'tax_query' => array(
                        array(
                            'taxonomy' => 'category',
                            'field' => 'term_id',
                            'terms' => $videoSection,
                        )
                    )
                ));

                while ($videoSections->have_posts()) : $videoSections->the_post(); ?>
                <div class="news-box-with-video-icon news-box-with-caption">
                    <div class="card ">
                        <?php $thumb = get_the_post_thumbnail_url(get_the_ID(), 'medium_large'); ?>
                        <?php $imgholder = IMAGES . '/no-img.jpg' ?>
                        <img class="img-fluid lazy" data-src="<?php echo $thumb ? $thumb : $imgholder ?>"
                             alt="<?php the_title() ?>">
                        <div class="card-img-overlay">
                            <h5 class="card-title"><a href="<?php the_permalink() ?>"><?php the_title() ?></a></h5>

                        </div>
                        <a href="<?php the_permalink() ?>" class="play-icon"><i class="fa fa-youtube-play"></i></a>

                    </div>
                </div>
                <?php endwhile;
                wp_reset_query(); ?>
                <div class="row d-none d-md-flex">
                    <?php $videoSections = new WP_Query(array(
                        'post_type' => 'post',
                        'posts_per_page' => 3,
                        'offset'=>1,
                        'tax_query' => array(
                            array(
                                'taxonomy' => 'category',
                                'field' => 'term_id',
                                'terms' => $videoSection,
                            )
                        )
                    ));

                    while ($videoSections->have_posts()) : $videoSections->the_post(); ?>
                    <div class="col-md-4">
                        <div class="card img-only-box">
                            <?php $thumb = get_the_post_thumbnail_url(get_the_ID(), 'thumbnail'); ?>
                            <?php $imgholder = IMAGES . '/no-img.jpg' ?>
                            <a href="<?php the_permalink() ?>"><img class="img-fluid lazy" data-src="<?php echo $thumb ? $thumb : $imgholder ?>"
                                                                    alt="<?php the_title() ?>"></a>
                        </div>
                    </div>
                    <?php endwhile;
                    wp_reset_query(); ?>
                </div>
            </div>
        </div>

    </div>
</div>

<div class="social-bar d-none d-lg-block">
    <div class="container">
        <div class="row no-gutters justify-content-between">
            <?php if (get_field('facebook', 'options')) : ?>
                <div class="col text-center align-self-center ">
                    <a href="<?php the_field('facebook', 'options') ?>" class="facebook"><i class="fa fa-facebook"></i> تابعونا علي الفيس بوك</a>
                </div>
            <?php endif; ?>
            <?php if (get_field('twitter', 'options')) : ?>
                <div class="col text-center align-self-center ">
                    <a href="<?php the_field('twitter', 'options') ?>" class="twitter"><i class="fa fa-twitter"></i> تابعونا علي تويتر</a>
                </div>
            <?php endif; ?>
            <?php if (get_field('youtube', 'options')) : ?>
                <div class="col text-center align-self-center ">
                    <a href="<?php the_field('youtube', 'options') ?>" class="youtube"><i class="fa fa-youtube"></i> تابعونا علي يوتيوب</a>
                </div>
            <?php endif; ?>
            <?php if (get_field('instagram', 'options')) : ?>
                <div class="col text-center align-self-center ">
                    <a href="<?php the_field('instagram', 'options') ?>" class="instagram"><i class="fa fa-instagram"></i> تابعونا علي انستجرام</a>
                </div>
            <?php endif; ?>




        </div>
    </div>
</div>
<?php get_footer(); ?>


